Subject: Re: elf section .text.unlikely

From: "tiejun.chen" <[email-masked]>
Date: Mon, 24 Jan 2011 11:29:25 +0800

kevin diggs wrote:
> Hi,
> 
> One more thing:
> 
> The last message printed is:
> 
> Driver 'sd' needs updating - please us bus_type methods
> 
> The mesh SCSI controller seems to successfully scan the bus. The next
> message that a 3.4.6 compiled kernel prints are details about disk sda
> (from SCSI disk driver?).
> 
> 4.3.5 keyboard is dead.
> 
> Jog any thoughts?

Maybe the kernel already panic then serial cannot print the last messages
immediately. So after reset the target you can dump __log_buf from the u-boot
prompt to track this in detail.

Tiejun

> 
> Thanks!
> 
> kevin
> 
> On Fri, Jan 21, 2011 at 8:31 PM, kevin diggs <[email-masked]> wrote:
>> For what it is worth, this section contains dump_stack, panic, and printk
>>
>> Thanks!
>>
>> kevin
>>
>> On Fri, Jan 21, 2011 at 7:40 PM, kevin diggs <[email-masked]> wrote:
>>> Hi,
>>>
>>> I am trying to get a PowerMac 8600 to boot past 2.6.28.
>>>
>>> I can boot 2.6.28 compiled with either 3.3.3 or 3.4.6. I can't get
>>> 2.6.28 to boot using 4.3.5. The 4.3.5 vmlinux has a section
>>> '.text.unlikely' that the 3.4.6 version does not. Anyone know what
>>> this might be?
>>>
>>> kevin